// -*- Mode:C++ -*-
//Header:
//File: TrainSet4XpdVElman5Lb.h
//Title: Training Set for XpdVElman5Lb
//Author: NODA, Itsuki
//Date: 2001/04/06
//

//ModifyHistory:
// 2001/04/06: Start to create this file
//EndModifyHistory:

#ifndef _Nnn_TrainSet4XpdVElman4Lb_h_
#define _Nnn_TrainSet4XpdVElman4Lb_h_
////////////////////////////////////////////////////////////////////////

#include "TrainSetBase.h"

namespace Nnn {

   using namespace Itk ;

   //======================================================================
   // TrainSet4VElman5Lb

   class XpdVElman5Lb ;

   class TrainSet4XpdVElman5Lb: public TrainSetBase {
	 //--------------------------------------------------
	 // top facility
      public:
	 virtual UInt sizeInp() const = 0 ;
	 virtual UInt sizeTch() const = 0 ;

	 virtual void get(ValVector & inpvec, ValVector & tchvec) {} ;
	 virtual void setInp1(XpdVElman5Lb * net,
			      UInt t, VBpLayer * inp, 
			      VBpLayer * preout,
			      Bool firstp) = 0 ;
	 virtual void setTch1(XpdVElman5Lb * net,
			      UInt t, VBpLayer * out, 
			      VBpLayer * nextinp,
			      Bool firstp) = 0 ;
   } ;

} ;
////////////////////////////////////////////////////////////////////////
#endif


