// -*- Mode:C++ -*-
//Header:
//File: UnitBase.cc
//Author: NODA, Itsuki
//Date: 1999/12/31
//

//ModifyHistory:
// 1999/12/31: Start to create this file
//EndModifyHistory:

#include "UnitBase.h"

namespace Nnn {

   //----------------------------------------------------------------------
   // save

   void UnitBase::save(ostream & ostr) const {
      StrForm::writeBeginTerm(ostr,sformTermHead) ;
      StrForm::writeAssocRole(ostr,sformThrLbl) ; 
      ostr << NNN_VAL_FORMAT << thr ;
      StrForm::writeEndTerm(ostr) ;
   } ;
   
   //----------------------------------------------------------------------
   // load

   void UnitBase::scan(StrForm & sform) {
      if(!sform.isTerm(sformTermHead)) {
	 ITK_ERR("Illegal UnitBase StrForm:" << sform) ;
	 throw 0 ;
      } ;
      thr = sform.assoc(sformThrLbl)->cvtFlt() ;
   } ;

} ;
