#include <itk/itk.h>

using namespace Itk ;

int main(int argc, char** argv) {
   Int sec = 0;
   Int msec = 0;
   Int usec = 0;

   if(argc > 3) {
      sec = atol(argv[1]) ;
      msec = atol(argv[2]) ;
      usec = atol(argv[3]) ;
   } else if(argc > 2) {
      sec = atol(argv[1]) ;
      msec = atol(argv[2]) ;
   } else if(argc > 1) {
      sec = atol(argv[1]) ;
   } else {
      cerr << "Usage: % " << argv[0] << " sec [ msec [ usec ] ] " << endl ;
      exit(1) ;
   }
   
   Itk::sleep(sec,msec,usec) ;

   return 0 ;
}
