// -*- Mode:C++ -*-
//Header:
//File: BpLinkBase.cc
//Author: NODA, Itsuki
//Date: 1999/12/31
//

//ModifyHistory:
// 1999/12/31: Start to create this file
//EndModifyHistory:

#include "BpLinkBase.h"

namespace Nnn {

   //----------------------------------------------------------------------
   // save

   void BpLinkBase::save(ostream & ostr) const {
      StrForm::writeBeginTerm(ostr,sformTermHead) ;
      StrForm::writeAssocRole(ostr,sformWeightLbl) ; 
      ostr << NNN_VAL_FORMAT << w ;
      StrForm::writeEndTerm(ostr) ;
   } ;
   
   //----------------------------------------------------------------------
   // load

   void BpLinkBase::scan(StrForm & sform) {
      if(!sform.isTerm(sformTermHead)) {
	 ITK_ERR("Illegal UnitBase StrForm:" << sform) ;
	 throw 0 ;
      } ;
      w = sform.assoc(sformWeightLbl)->cvtFlt() ;
   } ;

} ;
